Role Name
=========

A role that installs a solr instance, <https://lucene.apache.org/solr/>

Role Variables
--------------

The most important variables are listed below:

``` yaml
solr_install: True
solr_version: 7.4.0
solr_http_port: 8983
solr_service: -solr
solr_config_name: hindex
solr_shards: 1
solr_instance: '{{ solr_service }}'
solr_custom_log4j: False
solr_rotate_logs_on_start: 'true'
solr_log_dir: /var/log/solr
solr_log_level: ERROR
solr_http_port_1: '{{ solr_http_port }}'
solr_zoo_port: 9983
solr_zoo_port_1: 9984
solr_zoo_port_2: 9985
solr_jmx_port_1: 8601
solr_jmx_enabled: 'false'
solr_user: solr
solr_group: solr
# We need to define this one because we are using the tomcat multiple instances role
solr_base_dir: /opt
solr_server_dir: '{{ solr_base_dir }}/solr'
solr_data_dir: '{{ solr_server_dir }}/server/solr'
solr_conf_dir: '{{ solr_server_dir }}/conf'
solr_collections_base_dir: '{{ solr_data_dir }}/data/solr'
solr_pid_dir: '{{ solr_server_dir }}/bin'
solr_heap:  1024M
solr_mode: solrcloud
solr_download_dir: '{{ solr_base_dir }}/download'
solr_zookeeper_data_dir: '{{ solr_data_dir }}/zoo_data'
solr_install_collection1: False
solr_download_url: 'http://www-eu.apache.org/dist/lucene/solr/{{ solr_version }}/solr-{{ solr_version }}.tgz'
solr_jar_files:
  - contrib/analysis-extras/lib/icu4*.jar
  - contrib/analysis-extras/lucene-libs/lucene-analyzers-icu*.jar

solr_startup_opts: '-Ddisable.configEdit=true'

solr_set_gc_options: False
#solr_gc_tune: '-XX:NewRatio=3 -XX:SurvivorRatio=4'
solr_gc_tune: ''

solr_multicore: False
solr_cores:
  - collection1

solr_cloud_mode: True
# When we want to use an external zookeeper cluster, set this one to True
solr_zk_external_cluster: False
solr_zk_hosts: '127.0.0.1:2181'
solr_zk_timeout: 15000

solr_prometheus_exporter: True
solr_prometheus_port: 9983
solr_prometheus_threads: 2
solr_prometheus_bindir: '{{ solr_server_dir }}/contrib/prometheus-exporter/bin'
solr_prometheus_command: 'solr-exporter'
solr_prometheus_command_params: '-p {{ solr_prometheus_port }} -b {{ solr_zk_hosts }} -f {{ solr_prometheus_conf_file }} -n {{ solr_prometheus_threads }}' 
solr_prometheus_data_dir: '{{ solr_base_dir }}/solr_prometheus_exporter'
solr_prometheus_conf_dir: '{{ solr_prometheus_data_dir }}/conf'
solr_prometheus_conf_file: '{{ solr_prometheus_conf_dir }}/solr-exporter-config.xml'
```

Dependencies
------------

* openjdk

License
-------

EUPL-1.2

Author Information
------------------

Andrea Dell'Amico, <andrea.dellamico@isti.cnr.it>
